package shop.itbug.bluetooth_scanner_gun_example

import android.view.KeyEvent
import io.flutter.embedding.android.FlutterActivity
import io.flutter.embedding.engine.FlutterEngine
import io.flutter.plugin.common.EventChannel
import io.flutter.plugin.common.EventChannel.StreamHandler
import io.flutter.plugins.GeneratedPluginRegistrant

class MainActivity : FlutterActivity() {
    private val CHANNEL: String = "shop.itbug/scangun"
    private lateinit var eventChannel: EventChannel
    private lateinit var event: EventChannel.EventSink // 消息传输载体
    private lateinit var helper: ScanGunKeyEventHelper

    override fun configureFlutterEngine(flutterEngine: FlutterEngine) {
        super.configureFlutterEngine(flutterEngine)
        GeneratedPluginRegistrant.registerWith(flutterEngine)

        eventChannel = EventChannel(flutterEngine.dartExecutor.binaryMessenger, CHANNEL)
        eventChannel.setStreamHandler(object : StreamHandler {
            override fun onListen(arguments: Any?, events: EventChannel.EventSink?) {
                if (events != null) event = events
            }

            override fun onCancel(arguments: Any?) {
            }

        })

        helper = ScanGunKeyEventHelper(object : ScanGunKeyEventHelper.OnScanSuccessListener{
            override fun onScanSuccess(barcode: String?) {
                if (barcode != null) {
                    event.success(barcode)
                }
            }

        })

    }


    // 处理键盘事件
    override fun dispatchKeyEvent(event: KeyEvent?): Boolean {
        if (event != null) {
            helper.analysisKeyEvent(event)
            return true
        }
        return super.dispatchKeyEvent(event)

    }

}


