import 'dart:async';

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

mixin ScanGunMixin<T extends StatefulWidget> on State<T> {
  StreamSubscription _streamSubscription;
  static const EventChannel eventChannel =
      const EventChannel('shop.itbug/scangun');

  @override
  void initState() {
    super.initState();
    _streamSubscription =
        eventChannel.receiveBroadcastStream().listen(onScanCode);
  }

  void onScanCode(dynamic code);

  @override
  void dispose() {
    _streamSubscription.cancel();
    super.dispose();
  }
}
